'use client'
import ChatWindow from "@/feature/messenger/components/layout/general/ChatWindow";
import HeaderChat from "@/feature/messenger/components/layout/header/HeaderChat";
import ChatOptions from "@/feature/messenger/components/modals/ChatOptions";
import FooterChat from "@/feature/messenger/components/layout/footer/FooterChat";
import useConversationsStore from "@/feature/messenger/store/chat_store/useConversationsStore";
import ModalFilesDrop from "@/feature/messenger/components/drag_and_drop/ModalFilesDrop";
import RigthSidebar from "@/feature/messenger/components/layout/right-section/RigthSidebar";


const RigthSection = () => {

    const selectedtConversation = useConversationsStore(state => state.selectedConversation);
    const isChatOpen = selectedtConversation.sesion !== '';
    return (
        <>
        <div className={`${isChatOpen ? "flex" : "hidden"} w-full flex-col h-screen`}>
            {/* Header */}
            <HeaderChat />
            {/* Chat Window */}
            <ChatWindow />
            {/* Modal Opciones */}
            <ChatOptions />
            {/* Footer */}
            <FooterChat />
        </div>

        {/* Section Empty Chat */}
        <div className={`${isChatOpen ? "hidden" : "hidden md:flex"} w-full flex-col h-screen bg-wallpaper_chat_two`}>
            <div className="w-full h-full flex justify-center items-center">
                
            </div>
        </div>
        <RigthSidebar />
        <ModalFilesDrop />
        </>
    );
};

export default RigthSection;

